Bug 1370519 - Certificate revocation in service-del and host-del isn't aware of Sub CAs
Summary: Certificate revocation in service-del and host-del isn't aware of Sub CAs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-26 14:31 UTC by Petr Vobornik
Modified: 2016-11-04 06:02 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 06:02:22 UTC


Attachments (Terms of Use)
console.log (6.37 KB, text/plain)
2016-09-12 04:49 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Petr Vobornik 2016-08-26 14:31:37 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6221

As a part of the procedure of deleting a service or host entry, any certificates issued for them are revoked.

The function that revokes the certificate (located in service plugin module) is not aware of Sub CAs and calls cert-show without cacn option. This causes a fail because the cert-show will assume the `ipa` CA for a certificate signed by a Sub CA.

This causes an error during certificate revocation that aborts the delete operation.

Comment 3 Fraser Tweedale 2016-09-05 16:41:42 UTC
Current behaviour: service-del and host-del commands fail with error
if the service or host has been issued a cert from a sub-CA.

Therefore, this is important to fix.

Comment 5 Jan Cholasta 2016-09-07 06:14:42 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6304

Comment 11 Abhijeet Kasurde 2016-09-12 04:49:04 UTC
Verified using IPA version::
ipa-server-4.4.0-10.el7.x86_64

Marking BZ as verified.

Comment 12 Abhijeet Kasurde 2016-09-12 04:49 UTC
Created attachment 1200068 [details]
console.log

Comment 14 errata-xmlrpc 2016-11-04 06:02:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.